<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		lorena.salamanca

@version		1.0

@description	Diligenciar Solicitud – Información Tipo Trámite a Solicitar 
                Página principal

@cu 			CU-SA-AC-136 

@modified		rodrigo.hernandez Adicion de valores para selectOneMenu       
@Managed Bean 	DiligenciamientoSolicitudInformacionTipoTramiteMB 			
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" id="informacionTramiteForm">

    <p:messages id="msgsDIT" showDetail="false" globalOnly="false" />

    <h:panelGrid width="100%" columns="1" id="infoTipoTramiteMainPG"
                 cellspacing="7">

        <h:panelGrid columns="2" cellspacing="7">
            <h:outputLabel value="Tipo trámite: " styleClass="outputLabelStyle" />
            <h:selectOneMenu 
                value="#{diligenciamientoInfoTipoTramite.solicitud.tipo}"
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <f:selectItem itemLabel="Seleccione tipo de tramite..." />
                <f:selectItems value="#{general.avaluosComercialesTipoTramite}" />
                <p:ajax
                    listener="#{diligenciamientoInfoTipoTramite.actualizarSegunTipoTramiteSeleccionado}"
                    />
            </h:selectOneMenu>

            <h:outputText styleClass="outputTextStyle"
                          id="AvaluosComercialesTipoTramite-1"
                          value="#{diligenciamientoInfoTipoTramite.solicitud.tipo}"
                          rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite-1" />
            </h:outputText>

        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7"
                     rendered="#{diligenciamientoInfoTipoTramite.banderaMostrarTipoSolicitud 
                                 or diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
            <h:outputLabel value="Tipo solicitud: " styleClass="outputLabelStyle" />

            <h:selectOneMenu
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}"
                value="#{diligenciamientoInfoTipoTramite.solicitud.origen}">
                <f:selectItems
                    value="#{diligenciamientoInfoTipoTramite.listaTipoSolicitudSelectItem}" />
            </h:selectOneMenu>

            <h:outputText styleClass="outputTextStyle"
                          id="AvaluosComercialesTipoSolicitud-1"
                          value="#{diligenciamientoInfoTipoTramite.solicitud.origen}"
                          rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoSolicitud-1" />
            </h:outputText>

        </h:panelGrid>

        <h:panelGrid columns="2" id="numeroRadicacionAvaluoPG" cellspacing="7"
                     rendered="#{(diligenciamientoInfoTipoTramite.banderaTipoTramiteSolicitudRevisionSeleccionado 
                                 or  diligenciamientoInfoTipoTramite.banderaTipoTramiteSolicitudImpugnacionSeleccionado)}">
            <h:outputLabel
                value="Número radicación del avalúo a impugnar o revisar: "
                styleClass="outputLabelStyle" />

            <h:selectOneMenu
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}"
                value="#{diligenciamientoInfoTipoTramite.secRadicadoSeleccionado}">
                <f:selectItem itemLabel="Seleccione Sec. Radicado" />
                <f:selectItems
                    value="#{diligenciamientoInfoTipoTramite.listaSecRadicadosSolicitudAvaluo}" />
                <p:ajax process="@this" />
            </h:selectOneMenu>

            <h:outputText styleClass="outputTextStyle"
                          value="#{diligenciamientoInfoTipoTramite.secRadicadoSeleccionado}"
                          rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
            </h:outputText>
        </h:panelGrid>

        <h:panelGrid columns="2" id="solicitudRevisionSubsidioPG"
                     cellspacing="7"
                     rendered="#{diligenciamientoInfoTipoTramite.banderaTipoTramiteSolicitudRevisionSeleccionado}">

            <h:outputLabel
                value="La solicitud de revisión es en subsidio de impugnación? "
                styleClass="outputLabelStyle" />
            <h:selectOneRadio
                value="#{diligenciamientoInfoTipoTramite.conSubsidioDeImpugnacion}"
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <p:ajax process="@this" />
                <f:selectItem itemLabel="Si" itemValue="SI" />
                <f:selectItem itemLabel="No" itemValue="NO" />
            </h:selectOneRadio>
            <h:outputLabel
                value="#{diligenciamientoInfoTipoTramite.conSubsidioDeImpugnacion}"
                rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}" />
        </h:panelGrid>

        <h:panelGrid columns="2" id="numeroRadicacionCotizacionPG"
                     rendered="#{diligenciamientoInfoTipoTramite.banderaTipoTramiteSolicitudAvaluoSeleccionado}"
                     cellspacing="7">
            <h:outputLabel
                value="Número radicación de cotización para asociarla a la solicitud de avalúo: "
                styleClass="outputLabelStyle" />

            <h:selectOneMenu
                value="#{diligenciamientoInfoTipoTramite.secRadicadoSeleccionado}"
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <f:selectItem itemLabel="Seleccione Sec. Radicado" />
                <f:selectItems
                    value="#{diligenciamientoInfoTipoTramite.listaSecRadicadosSolicitudCotizacion}" />
            </h:selectOneMenu>

            <h:outputText styleClass="outputTextStyle"
                          value="#{diligenciamientoInfoTipoTramite.secRadicadoSeleccionado}"
                          rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
            </h:outputText>
        </h:panelGrid>

        <h:panelGrid columns="2" id="marcoJuridicoPG" cellspacing="7"
                     rendered="#{diligenciamientoInfoTipoTramite.banderaTipoTramiteSolicitudAvaluoSeleccionado}">
            <h:outputLabel value="Marco jurídico: " styleClass="outputLabelStyle" />

            <h:selectOneMenu
                rendered="#{!diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}"
                value="#{diligenciamientoInfoTipoTramite.solicitud.marcoJuridico}">
                <f:selectItem itemLabel="Seleccione Marco Juridico" />
                <f:selectItems value="#{general.avaluosComercialesMarcoJuridico}" />
            </h:selectOneMenu>

            <h:outputText styleClass="outputTextStyle"
                          id="AvaluosComercialesMarcoJuridico-1"
                          value="#{diligenciamientoInfoTipoTramite.solicitud.tipo}"
                          rendered="#{diligenciamientoInfoTipoTramite.banderaModoLecturaHabilitado}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesMarcoJuridico-1" />
            </h:outputText>


        </h:panelGrid>

    </h:panelGrid>


</h:form>